package models

type Recipe struct {
	ID           uint                `json:"id,omitempty"`           // id
	Title        string              `json:"title,omitempty"`        // Заголовок
	Description  string              `json:"desc,omitempty"`         // Описание
	Image        string              `json:"img,omitempty"`          // Картинка
	CookingTime  string              `json:"ctime,omitempty"`        // Время приготовления
	Link         string              `json:"link,omitempty"`         // Ссылка
	ServingsNum  uint                `json:"snum,omitempty"`         // Кол-во порций
	Calories     string              `json:"cal,omitempty"`          // Колории
	Ingredients  []RecipeIngredients `json:"ingredients,omitempty"`  // Ингридиенты и посуда (списки)
	Recipe_steps []string            `json:"recipe_steps,omitempty"` // Шаги рецепта
	Advices      []string            `json:"advices,omitempty"`      // Рекомендации
	Categories   []string            `json:"categories,omitempty"`   // Категории
}

type RecipeIngredients struct {
	Title       string   `json:"title,omitempty"`
	Ingredients []string `json:"ingredients,omitempty"`
}
